Loading...
Searching...
No Matches
easing Class Reference

## Detailed Description

The easing class holds all the bundled easings.

You should pass the easing function to the `tweeny::tween::via` method, to set the easing function that will be used to interpolate values in a tween currentPoint.

Example:

auto tween = tweeny::from(0).to(100).via(tweeny::easing::linear);
tweeny::tween::to
tween< T, Ts... > & to(T t, Ts... vs)
Adds a new currentPoint in this tweening.
tweeny::tween
The tween class is the core class of tweeny. It controls the interpolation steps, easings and duratio...
Definition tween.h:48
tweeny::from
tween< Ts... > from(Ts... vs)
Creates a tween starting from the values defined in the arguments.

`#include <easing.h>`

## Classes

struct | backInEasing
| Acceelerate initial values with a "back" equation. More...
struct | backInOutEasing
| Acceelerate initial and deaccelerate ending values with a "back" equation. More...
struct | backOutEasing
| Deaccelerate ending values with a "back" equation. More...
struct | bounceInEasing
| Acceelerate initial values with a "bounce" equation. More...
struct | bounceInOutEasing
| Acceelerate initial and deaccelerate ending values with a "bounce" equation. More...
struct | bounceOutEasing
| Deaccelerate ending values with a "bounce" equation. More...
struct | circularInEasing
| Acceelerate initial values with a circular equation. More...
struct | circularInOutEasing
| Acceelerate initial and deaccelerate ending values with a circular equation. More...
struct | circularOutEasing
| Deaccelerate ending values with a circular equation. More...
struct | cubicInEasing
| Aaccelerate initial values with a cubic equation. More...
struct | cubicInOutEasing
| Acceelerate initial and deaccelerate ending values with a cubic equation. More...
struct | cubicOutEasing
| Deaccelerate ending values with a cubic equation. More...
struct | elasticInEasing
| Acceelerate initial values with an "elastic" equation. More...
struct | elasticInOutEasing
| Acceelerate initial and deaccelerate ending values with an "elastic" equation. More...
struct | elasticOutEasing
| Deaccelerate ending values with an "elastic" equation. More...
struct | exponentialInEasing
| Acceelerate initial values with an exponential equation. More...
struct | exponentialInOutEasing
| Acceelerate initial and deaccelerate ending values with an exponential equation. More...
struct | exponentialOutEasing
| Deaccelerate ending values with an exponential equation. More...
struct | linearEasing
| Values change with constant speed. More...
struct | quadraticInEasing
| Accelerate initial values with a quadratic equation. More...
struct | quadraticInOutEasing
| Acceelerate initial and deaccelerate ending values with a quadratic equation. More...
struct | quadraticOutEasing
| Deaccelerate ending values with a quadratic equation. More...
struct | quarticInEasing
| Acceelerate initial values with a quartic equation. More...
struct | quarticInOutEasing
| Acceelerate initial and deaccelerate ending values with a quartic equation. More...
struct | quarticOutEasing
| Deaccelerate ending values with a quartic equation. More...
struct | quinticInEasing
| Acceelerate initial values with a quintic equation. More...
struct | quinticInOutEasing
| Acceelerate initial and deaccelerate ending values with a quintic equation. More...
struct | quinticOutEasing
| Deaccelerate ending values with a quintic equation. More...
struct | sinusoidalInEasing
| Acceelerate initial values with a sinusoidal equation. More...
struct | sinusoidalInOutEasing
| Acceelerate initial and deaccelerate ending values with a sinusoidal equation. More...
struct | sinusoidalOutEasing
| Deaccelerate ending values with a sinusoidal equation. More...